--- pcap_queue.cpp.orig	2018-05-07 14:58:06.324317000 +0300
+++ pcap_queue.cpp	2018-05-07 15:01:27.244894000 +0300
@@ -5463,7 +5463,7 @@ void *PcapQueue_readFromFifo::threadFunction(void *arg
 		while(!TERMINATING && !forceStop) {
 			if(arg2 == (unsigned int)-1) {
 				int socketClient;
-				sockaddr_in socketClientInfo;
+				struct sockaddr_in socketClientInfo;
 				if(this->socketAwaitConnection(&socketClient, &socketClientInfo)) {
 					if(!TERMINATING && !forceStop) {
 						syslog(LOG_NOTICE, "accept new connection from %s:%i, socket: %i", 
@@ -6376,7 +6376,7 @@ bool PcapQueue_readFromFifo::socketConnect() {
 		syslog(LOG_ERR, "packetbuffer %s: cannot create socket - trying again", this->nameQueue.c_str());
 		return(false);
 	}
-	sockaddr_in addr;
+	struct sockaddr_in addr;
 	addr.sin_family = AF_INET;
 	addr.sin_port = htons(this->packetServerIpPort.get_port());
 	addr.sin_addr.s_addr = this->socketHostIPl;
@@ -6438,7 +6438,7 @@ bool PcapQueue_readFromFifo::socketListen() {
 			fcntl(this->socketHandle, F_SETFL, flags | O_NONBLOCK);
 		}
 	}
-	sockaddr_in addr;
+	struct sockaddr_in addr;
 	addr.sin_family = AF_INET;
 	addr.sin_port = htons(this->packetServerIpPort.get_port());
 	addr.sin_addr.s_addr = inet_addr(this->packetServerIpPort.get_ip().c_str());
@@ -6446,7 +6446,7 @@ bool PcapQueue_readFromFifo::socketListen() {
 	setsockopt(this->socketHandle, SOL_SOCKET, SO_REUSEADDR, &on, sizeof(on));
 	int rsltListen;
 	do {
-		while(bind(this->socketHandle, (sockaddr*)&addr, sizeof(addr)) == -1 && !TERMINATING) {
+		while(::bind(this->socketHandle, (sockaddr*)&addr, sizeof(addr)) == -1 && !TERMINATING) {
 			syslog(LOG_ERR, "packetbuffer %s: cannot bind to port [%d] - trying again after 5 seconds intervals", this->nameQueue.c_str(), this->packetServerIpPort.get_port());
 			sleep(5);
 		}
@@ -6462,9 +6462,9 @@ bool PcapQueue_readFromFifo::socketListen() {
 	return(true);
 }
 
-bool PcapQueue_readFromFifo::socketAwaitConnection(int *socketClient, sockaddr_in *socketClientInfo) {
+bool PcapQueue_readFromFifo::socketAwaitConnection(int *socketClient, struct sockaddr_in *socketClientInfo) {
 	*socketClient = -1;
-	socklen_t addrlen = sizeof(sockaddr_in);
+	socklen_t addrlen = sizeof(struct sockaddr_in);
 	while(*socketClient < 0 && !TERMINATING) {
 		bool doAccept = false;
 		int timeout = 1;
@@ -6645,7 +6645,7 @@ bool PcapQueue_readFromFifo::_socketRead(int socket, u
 	return(true);
 }
 
-void PcapQueue_readFromFifo::createConnection(int socketClient, sockaddr_in *socketClientInfo) {
+void PcapQueue_readFromFifo::createConnection(int socketClient, struct sockaddr_in *socketClientInfo) {
 	this->cleanupConnections();
 	this->lock_packetServerConnections();
 	unsigned int id = 1;
